import Ajax from '../../util/ajax'
import api from '../../util/api'
import b1bg from '@/common/icon/b1-.jpg'
import r1bg from '@/common/icon/r1-.jpg'
import b1 from '@/common/icon/b1.jpg'
import b2bg from '@/common/icon/b2-.jpg'
import r2bg from '@/common/icon/r2-.jpg'
import b2 from '@/common/icon/b2.jpg'
import b3bg from '@/common/icon/b3-.jpg'
import r3bg from '@/common/icon/r3-.jpg'
import b3 from '@/common/icon/b3.jpg'
import b4bg from '@/common/icon/b4-.jpg'
import r4bg from '@/common/icon/r4-.jpg'
import b4 from '@/common/icon/b4.jpg'
import b5bg from '@/common/icon/b5-.jpg'
import r5bg from '@/common/icon/r5-.jpg'
import b5 from '@/common/icon/b5.jpg'
import b6bg from '@/common/icon/b6-.png'
import r6bg from '@/common/icon/r6-.jpg'
import b6 from '@/common/icon/b6.jpg'
import b7bg from '@/common/icon/b7-.jpg'
import r7bg from '@/common/icon/r7-.jpg'
import b7 from '@/common/icon/b7.jpg'
import b8bg from '@/common/icon/b8-.jpg'
import r8bg from '@/common/icon/r8-.jpg'
import b8 from '@/common/icon/b8.jpg'
import b9bg from '@/common/icon/b9-.jpg'
import r9bg from '@/common/icon/r9-.jpg'
import b9 from '@/common/icon/b9.jpg'
import b10bg from '@/common/icon/b10-.jpg'
import r10bg from '@/common/icon/r10-.jpg'
import b10 from '@/common/icon/b10.jpg'
import b11bg from '@/common/icon/b11-.jpg'
import r11bg from '@/common/icon/r11-.jpg'
import b11 from '@/common/icon/b11.jpg'
import b12bg from '@/common/icon/b12-.jpg'
import r12bg from '@/common/icon/r12-.jpg'
import b12 from '@/common/icon/b12.jpg'
import coverBlack from '@/common/icon/coverBlack.jpg'
import coverRed from '@/common/icon/coverRed.jpg'

// 请求数据
export default {
  namespaced: true,
  state: {
    bannerBlack: [
      {
        bgImg: coverBlack,
        defaultBg: '',
        CalendarImg: coverBlack,
        CustomerImg: '',
        ImgName: '封面',
        Sort: 1,
        style: ''
      },
      {
        bgImg: b1bg,
        defaultBg: b1,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546637',
        CustomerImg: '',
        ImgName: '1月',
        Sort: 2,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.25rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.95cm;left: .9cm;`
      },
      {
        bgImg: b2bg,
        defaultBg: b2,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543547849',
        CustomerImg: '',
        ImgName: '2月',
        Sort: 3,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;left:0.15rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;left: 1.07cm;object-fit: cover;`
      },
      {
        bgImg: b3bg,
        defaultBg: b3,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546638',
        CustomerImg: '',
        ImgName: '3月',
        Sort: 4,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: b4bg,
        defaultBg: b4,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543547851',
        CustomerImg: '',
        ImgName: '4月',
        Sort: 5,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50.5%);object-fit: cover;',
        styleCut: `width: 11.1cm;height: 7.3cm;position: absolute;top: 1.9cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: b5bg,
        defaultBg: b5,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546640',
        CustomerImg: '',
        ImgName: '5月',
        Sort: 6,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;left:0.15rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;left: 1.07cm;object-fit: cover;`
      },
      {
        bgImg: b6bg,
        defaultBg: b6,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546642',
        CustomerImg: '',
        ImgName: '6月',
        Sort: 7,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.24rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.87cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: b7bg,
        defaultBg: b7,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546643',
        CustomerImg: '',
        ImgName: '7月',
        Sort: 8,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.88cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: b8bg,
        defaultBg: b8,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546644',
        CustomerImg: '',
        ImgName: '8月',
        Sort: 9,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;left:0.17rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.57cm;left: 1.23cm;object-fit: cover;`
      },
      {
        bgImg: b9bg,
        defaultBg: b9,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546645',
        CustomerImg: '',
        ImgName: '9月',
        Sort: 10,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.58cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: b10bg,
        defaultBg: b10,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546646',
        CustomerImg: '',
        ImgName: '10月',
        Sort: 11,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.88cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: b11bg,
        defaultBg: b11,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546647',
        CustomerImg: '',
        ImgName: '11月',
        Sort: 12,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;left:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.57cm;left: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: b12bg,
        defaultBg: b12,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543546648',
        CustomerImg: '',
        ImgName: '12月',
        Sort: 13,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.56cm;right: 1.15cm;object-fit: cover;`
      }
    ],
    bannerRed: [
      {
        bgImg: coverRed,
        defaultBg: '',
        CalendarImg: coverRed,
        CustomerImg: '',
        ImgName: '封面',
        Sort: 1,
        style: ''
      },
      {
        bgImg: r1bg,
        defaultBg: b1,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543557398',
        CustomerImg: '',
        ImgName: '1月',
        Sort: 2,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.25rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.95cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: r2bg,
        defaultBg: b2,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556811',
        CustomerImg: '',
        ImgName: '2月',
        Sort: 3,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;left:0.15rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;left: 1.07cm;object-fit: cover;`
      },
      {
        bgImg: r3bg,
        defaultBg: b3,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543557399',
        CustomerImg: '',
        ImgName: '3月',
        Sort: 4,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: r4bg,
        defaultBg: b4,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543557400',
        CustomerImg: '',
        ImgName: '4月',
        Sort: 5,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50.5%);object-fit: cover;',
        styleCut: `width: 11.1cm;height: 7.3cm;position: absolute;top: 1.9cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: r5bg,
        defaultBg: b5,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556813',
        CustomerImg: '',
        ImgName: '5月',
        Sort: 6,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.23rem;left:0.15rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.8cm;left: 1.07cm;object-fit: cover;`
      },
      {
        bgImg: r6bg,
        defaultBg: b6,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556814',
        CustomerImg: '',
        ImgName: '6月',
        Sort: 7,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.24rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.87cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: r7bg,
        defaultBg: b7,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543560521',
        CustomerImg: '',
        ImgName: '7月',
        Sort: 8,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.88cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: r8bg,
        defaultBg: b8,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556815',
        CustomerImg: '',
        ImgName: '8月',
        Sort: 9,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;left:0.17rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.57cm;left: 1.23cm;object-fit: cover;`
      },
      {
        bgImg: r9bg,
        defaultBg: b9,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543557403',
        CustomerImg: '',
        ImgName: '9月',
        Sort: 10,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.6cm;right: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: r10bg,
        defaultBg: b10,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556816',
        CustomerImg: '',
        ImgName: '10月',
        Sort: 11,
        style: 'width:1.44rem;height:.94rem;position:absolute;top:.24rem;left:50%;transform:translateX(-50%);object-fit: cover;',
        styleCut: `width: 11.2cm;height: 7.3cm;position: absolute;top: 1.88cm;left: .9cm;object-fit: cover;`
      },
      {
        bgImg: r11bg,
        defaultBg: b11,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556817',
        CustomerImg: '',
        ImgName: '11月',
        Sort: 12,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;left:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.57cm;left: 1.15cm;object-fit: cover;`
      },
      {
        bgImg: r12bg,
        defaultBg: b12,
        CalendarImg: 'http://spaceofcheng.oss-cn-beijing.aliyuncs.com/blob1543556818',
        CustomerImg: '',
        ImgName: '12月',
        Sort: 13,
        style: 'width:1.01rem;height:1.18rem;position:absolute;top:.2rem;right:0.16rem;object-fit: cover;',
        styleCut: `width: 7.83cm;height: 9.16cm;position: absolute;top: 1.56cm;right: 1.15cm;object-fit: cover;`
      }
    ]
  },
  mutations: {
    upDateBanner (state, { type, data }) {
      console.log(data)
      if (type == 1) {
        state.bannerBlack = data || []
      } else {
        state.bannerRed = data || []
      }
    },
    upDateWindowLoad (state, data) {
      state.windowLoad = data
    }
  },
  actions: {
    setBanner (context, { type, data }) {
      context.commit('upDateBanner', { type, data })
    },
    calendar (context, data) {
      return new Promise((resolve, reject) => {
        Ajax({
          ...api.calendar.calendar,
          data: data
        }).then(res => {
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    getCalendarCustomer () {
      return new Promise((resolve, reject) => {
        Ajax({
          ...api.calendar.getCalendarCustomer
        }).then(res => {
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}
